const path = require('path');

const BUNDLERS_PATH = path.resolve(__dirname, '../../webapp/frontend') + '/';

const ENTRY_POINTS = {
    vendor: BUNDLERS_PATH + 'vendor.mjs',
    public: BUNDLERS_PATH + 'public.mjs',
    admin: BUNDLERS_PATH + 'admin.mjs',
};

module.exports = {
    BUNDLERS_PATH: BUNDLERS_PATH,
    ENTRY_POINTS: ENTRY_POINTS,
    JS_OUTPUT_FILENAME: 'js/[name].bundle',
    CSS_OUTPUT_FILENAME: 'css/[name].bundle'
};